.menu-widget.custom-items-center {
  align-items: center;
  display: flex;
}
.menu-widget .menu-parent-unordered-list {
  border-bottom: 1px solid var(--color-border-normal);
  box-shadow: var(--shadow-medium);
  white-space: nowrap;
  flex-wrap: wrap;
  width: 100%;
  margin: 0;
  padding: 16px 0;
  list-style-type: none;
  display: flex;
}
.menu-widget .menu-hover-buffer {
  z-index: 5;
  background: 0 0;
  width: 100%;
  height: 20px;
  position: absolute;
  top: 100%;
  left: 0;
}
.menu-widget .mega-menu-dropdown {
  z-index: 10;
  font-size: var(--text-small);
  background-color: var(--color-normal-bg);
  border: 1px solid var(--color-border-normal);
  border-radius: var(--radius-small);
  box-shadow: var(--shadow-medium);
  grid-template-columns: repeat(2, minmax(0, 1fr));
  width: max-content;
  max-width: 840px;
  transition: transform 0.3s ease-in-out;
  display: none;
  position: absolute;
  top: 28px;
}
@media (width>=769px) {
  .menu-widget .mega-menu-dropdown.show-menu {
    animation: 0.25s ease-out forwards show-menu;
  }
  @keyframes show-menu {
    0% {
      opacity: 0.6;
      transform: translateY(32px);
    }
    to {
      opacity: 1;
      transform: none;
    }
  }
}
.menu-widget .menu-parent-list:hover .mega-menu-dropdown {
  display: block;
}
.menu-widget .home-link {
  background-image: url(/images/home_dark.png);
  background-position: 50%;
  background-repeat: no-repeat;
  width: 41px;
  height: 32px;
  margin: 0;
  padding: 0;
  display: flex;
  background-color: #0000 !important;
}
.menu-widget .menu-child-box {
  padding: var(--spacing-small);
  margin-right: var(--spacing-small);
  float: left;
  box-sizing: border-box;
  width: 200px;
}
.menu-widget .megamenu-link > a {
  padding: calc(var(--spacing-small) / 2) var(--spacing-small);
  color: var(--color-dark-bg);
  text-overflow: ellipsis;
  white-space: nowrap;
  -webkit-line-clamp: 1;
  border-top-width: 0;
  -webkit-box-orient: vertical;
  max-width: 420px;
  text-decoration: none;
  overflow: hidden;
}
.menu-widget .megamenu-link > a:hover {
  color: var(--color-normal-bg);
}
.menu-widget .megamenu-link:first-child a {
  border-left: 0;
}
.menu-widget .megamenu-link:last-child a {
  border-right: 0;
}
.menu-widget .menu-child-title {
  padding-bottom: var(--spacing-small);
  color: var(--color-warning-text);
  font-weight: 700;
  font-size: var(--text-medium);
  white-space: normal;
  margin: 0;
}
.menu-widget .menu-child-title a {
  color: inherit;
  text-decoration: none;
}
.menu-widget .menu-sub-child-unordered-list {
  padding: 0;
  list-style-type: none;
}
.menu-widget .menu-sub-child-list {
  white-space: normal;
  text-overflow: ellipsis;
  max-width: 321px;
  overflow: hidden;
}
.menu-widget .menu-sub-child-list a div {
  padding: calc(var(--spacing-small) / 2) 0;
}
.menu-widget .menu-sub-child-list a div:hover {
  background-color: #1111;
}
.menu-widget .menu-sub-child-list + .menu-sub-child-list {
  border-top: 1px dotted #2222;
}
.menu-widget .menu-sub-child-link {
  color: var(--color-dark-light);
  font-size: var(--text-medium);
  text-overflow: ellipsis;
  max-width: 100px;
  margin: 16px 0;
  font-family: inherit;
  text-decoration: none;
  overflow: hidden;
}
.menu-widget .menu-sub-sub-child-unordered-list {
  padding-left: 32px;
  list-style: circle;
}
.menu-widget .menu-sub-sub-child-list {
  margin-top: 1px;
}
.menu-widget .menu-sub-sub-child-link {
  color: var(--color-dark-light);
  font-size: var(--text-medium);
  text-overflow: ellipsis;
  max-width: 100px;
  font-family: inherit;
  text-decoration: none;
  overflow: hidden;
}
.menu-parent-list-link-icon {
  display: none;
}
.menu-parent-list-link-icon:after {
  content: " | ";
}
.menu-widget .menu-parent-list {
  display: flex;
  position: relative;
  border-left: 0.1px dashed var(--color-border-normal) !important;
}
@media (width<=768px) {
  .menu-widget .home-link {
    margin-bottom: var(--spacing-small);
    background-position: 0;
    background-color: #0000 !important;
  }
  .menu-widget {
    flex-direction: column;
    width: 100%;
  }
  .menu-list {
    display: none !important;
  }
  .menu-list.show-menu {
    display: flex !important;
  }
  .menu-widget .menu-parent-unordered-list {
    box-shadow: none;
    flex-direction: column;
    align-items: stretch;
  }
  .menu-widget .mega-menu-dropdown {
    background: var(--color-normal-bg);
    width: 100%;
    box-shadow: none;
    border: none;
    display: none;
    position: static !important;
  }
  .menu-widget .mega-menu-dropdown.show {
    display: block;
  }
  .menu-widget .menu-parent-list {
    width: 100%;
    display: block;
    border: none !important;
  }
  .menu-widget .menu-parent-list:hover {
    background-color: #eee;
  }
  .menu-widget .menu-sub-child-link {
    font-size: var(--text-small);
    max-width: 100%;
    margin: 0;
    padding: 0;
    text-decoration: none;
    display: block;
    position: relative;
  }
  .menu-widget .megamenu-link > a {
    box-sizing: border-box;
    border: none;
    width: 100%;
    max-width: 100%;
    font-size: 14px;
    display: block;
  }
  .menu-widget .menu-child-title {
    padding-bottom: var(--spacing-small);
    color: var(--color-warning-text);
    font-weight: 700;
    font-size: var(--text-small);
    margin: 0;
  }
  .menu-widget .menu-child-box {
    float: none;
    box-sizing: border-box;
    width: auto;
    margin: 0 var(--spacing-small);
  }
  .menu-widget .menu-sub-child-link:hover {
    color: inherit;
    background-color: #f1f1f1;
  }
  .menu-widget .menu-sub-child-list {
    max-width: 100%;
  }
  .menu-widget .menu-sub-child-list a div {
    padding: var(--spacing-small) 0;
  }
  .menu-parent-list-link-icon {
    color: #cacaca;
    font-size: var(--text-small);
    display: inline-block;
    position: absolute;
    top: 9px;
    right: 9px;
  }
  .hamburger-menu-block {
    align-items: center;
    gap: 10px;
    display: flex;
  }
  .hamburger-menu {
    cursor: pointer;
    color: #fff;
    background-color: #5a5a5a;
    border: none;
    border-radius: 2px;
    justify-content: center;
    align-items: center;
    padding: 5px 11px;
    font-size: 18px;
  }
  .show-menu li,
  .show-menu h6 {
    animation: 0.25s ease-out forwards show-menu;
  }
  @keyframes show-menu {
    0% {
      opacity: 0.6;
      transform: translateY(-16px);
    }
    to {
      opacity: 1;
      transform: none;
    }
  }
}
@media (width>=769px) {
  .hamburger-menu-block {
    display: none;
  }
}
